import { User } from "../domain/userEntity";
import { changeEmail } from "../domain/userModel";
import { UpdateUserStore, updateUserUseCase } from "./updateUserUseCase";

const updateEmailUseCase = (
  store: UpdateUserStore,
  payload: User["email"],
) => {
  return updateUserUseCase<"email">(store, changeEmail, payload);
};

export { updateEmailUseCase };
